Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.eclipse.gef.finder.widgets
Class SWTBotGefContextMenu

    java.lang.Object
      org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot<Control>
          org.eclipse.swtbot.eclipse.gef.finder.widgets.SWTBotGefContextMenu

    public class SWTBotGefContextMenu

extends AbstractSWTBot<Control>

a context menu implementation that finds the menu and invokes it in one UIRunnable so as to avoid the disposed-before-clicked issue that occurs within Eclipse.

Author:
  David Green

Field Summary

Fields inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`description, display, log, widget`

Constructor Summary
`SWTBotGefContextMenu(Control control, String text)`

Method Summary
`SWTBotGefContextMenu` | `click()` Clicks on this widget.
`protected boolean` | `isEnabled(Widget widget)`

Methods inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`absoluteLocation, assertEnabled, asyncExec, backgroundColor, click, clickXY, contextMenu, contextMenu, createEvent, createMouseEvent, createSelectionEvent, doubleClickXY, foregroundColor, getId, getText, getToolTipText, hasStyle, isActive, isEnabled, isEnabledInternal, isVisible, keyboard, notify, notify, notify, pressShortcut, pressShortcut, pressShortcut, rightClick, rightClick, setFocus, sleep, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, toString, traverse, waitForEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SWTBotGefContextMenu

    public SWTBotGefContextMenu(Control control,
                                String text)

Method Detail

### click

    public SWTBotGefContextMenu click()
                               throws WidgetNotFoundException

  Description copied from class: `AbstractSWTBot`
  Clicks on this widget.

  Overrides:
    `click` in class `AbstractSWTBot<Control>`
  Returns:
    itself.
  Throws:
    `WidgetNotFoundException`

### isEnabled

    protected boolean isEnabled(Widget widget)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD